Subject: RE: [lojban] the formal grammars' utility

From: [email-masked]
Date: Sat, 14 Jul 2001 22:13:26 EDT

Subject: RE: [lojban] the formal grammars' utility
From: "And Rosta" <[email-masked]>
To: "Lojban@Yahoogroups. Com" <[email-masked]>
Date: Sun, 15 Jul 2001 02:16:11 +0100

Lojbab:
> At 04:40 PM 07/14/2001 +0100, And Rosta wrote:
> >1. What use is the EBNF grammar, given that it can't be used instead of
> >YACC?
> 
> Some people find it easier to understand than the YACC grammar because the 
> rules are compressed into a more language-grammar-like form.

Am I mistaken in thinking that the EBNF in the book contains less info
than the YACC? For instance, trying to answer my own question of earlier 
today about DOI, I find that "vocative415 = (COI [NAI])...& DOI", but
find nothing about the expansion of DOI, whereas I do find this info
under vocative_35 and DOI_415 in YACC.

> >2. Is there a downloadable version of YACC ordered alphabetically (or
> >in any way such that one knows whereabouts in the rule list to find the
> >expansion for a given node)?
> 
> The YACC grammar in the Book has an index that provides this.

No, the index lists for each phrase the phrases it occurs within, but
it doesn't tell us whereabouts in the YACC grammar text itself the
rule can be found; one has to flick through the pages hunting fairly
randomly.

> >3. Has anybody created a more succinct but unabbreviated (and, ideally,
> >more intuitive) version of the YACC grammar?
> 
> You just said why people use the EBNF. If the YACC grammar could be more 
> succinct, we would. The EBNF covers the whole language, so it is more 
> succinct and unabbreviated. Its weakness is that it is not proven 
> equivalent to the YACC, so mistakes in obscure places could still surface.

I thought I understood EBNF, but as I said above I don't grock how it is
unabbreviated.

--And.

To unsubscribe, send mail to [email-masked] 

Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/